<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full">
  <div class="text-text-300 text-sm font-semibold">
    {{ connectionsCount }}
  </div>
  <div class="w-full h-full mt-6 pb-32 pr-3">
    <p-table [value]="adapterConnections" dataKey="id" [filterDelay]="0" [resizableColumns]="true" [autoLayout]="true">
      <ng-template pTemplate="header">
        <tr>
          <th>oid</th>
          <th>iid</th>
          <th>Interaction</th>
          <th>Method</th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-conn>
        <tr>
          <td style="width: 25%">
            <div *ngIf="conn.oid" class="font-semibold text-text-500">
              {{ conn.oid }}
            </div>
            <div *ngIf="!conn.oid">
              <i class="pi pi-minus text-text-300" style="font-size: 0.8rem"></i>
            </div>
          </td>
          <td style="width: 25%" class="text-text-500">
            <div *ngIf="conn.iid">
              {{ conn.iid }}
            </div>
            <div *ngIf="!conn.iid">
              <i class="pi pi-minus text-text-300" style="font-size: 0.8rem"></i>
            </div>
          </td>
          <td style="width: 25%" class="text-text-500">
            <div *ngIf="conn.interaction">
              {{ conn.interaction }}
            </div>
            <div *ngIf="!conn.interaction">
              <i class="pi pi-minus text-text-300" style="font-size: 0.8rem"></i>
            </div>
          </td>
          <td style="width: 25%" class="text-text-500">
            <div *ngIf="conn.method">
              {{ conn.method }}
            </div>
            <div *ngIf="!conn.method">
              <i class="pi pi-minus text-text-300" style="font-size: 0.8rem"></i>
            </div>
          </td>
          <!-- <td style="width: 20%">
            <p-button size="small" [text]="true">
              <div class="flex items-center gap-2">
                <i class="pi pi-link" style="font-size: 1rem"></i>
                <div class="font-semibold text-base leading-none pb-0.5">connections</div>
                <i class="pi pi-chevron-right" style="font-size: 0.8rem"></i>
              </div>
            </p-button>
          </td> -->
        </tr>
      </ng-template>
      <ng-template pTemplate="emptymessage" let-columns>
        <tr>
          <td colspan="4">
            <div class="flex flex-col w-full h-32 justify-center text-center">
              <app-sad-face></app-sad-face>
              This adapter has no connections
            </div>
          </td>
          <td></td>
        </tr>
      </ng-template>
    </p-table>
  </div>
</div>
